MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030102Open CASCADE[OCCT] OCCT:Visualizationpublic2018-08-31 15:052018-09-11 20:37
Reportermnv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030102: Visualization, TKOpenGl - Graphic3d_TOSM_FACET shading is incorrect in some cases
DescriptionIn some cases of the flat shaded presentation there is an incorrect computed lightening for the model.
Steps To Reproducepload MODELING VISUALIZATION
vinit
vdrawparray b triangles v 0 55 0 v 0 75 0 v 20 55 0 v 0 55 0 v 0 75 0 v 0 55 20 v 0 55 0 v 0 55 20 v 20 55 0 v 0 75 0 v 0 55 20 v 20 55 0
vrotate 0.3 0.0 0.0
vfit
TagsNo tags attached.
Test case numberbugs/vis/bug30102
Attached Filespng file icon old_flat.png (2,726 bytes) 2018-08-31 15:05
png file icon new_flat.png (2,906 bytes) 2018-08-31 15:27

- Relationships
child of 0028069closedbugmaster Open CASCADE Visualization, TKOpenGl - handle flat shading model within GLSL programs 

-  Notes
(0078890)
git (administrator)
2018-08-31 15:22

Branch CR30102 has been created by mnv.

SHA-1: 7490d4fe4581131e83d76838a0717eb11705958a


Detailed log of new commits:

Author: mnv
Date: Fri Aug 31 15:14:49 2018 +0300

    0030102: Visualization, TKOpenGl - wrong light computing for flat shaded presentation
    Added computing Normal value according to gl_FrontFacing parameter.
(0078892)
git (administrator)
2018-08-31 15:26

Branch CR30102 has been updated forcibly by mnv.

SHA-1: 1946d5e7b5a921e24edf36df38626fa08f06d0a8
(0078893)
mnv (developer)
2018-08-31 15:28

Patch is ready for review.
(0078917)
git (administrator)
2018-09-03 10:14

Branch CR30102 has been updated forcibly by kgv.

SHA-1: b9336a2fbb78482927f051f983c872135345c32c
(0078918)
kgv (developer)
2018-09-03 10:14

Please take the patch.
(0079047)
git (administrator)
2018-09-09 13:05

Branch CR30102 has been deleted by inv.

SHA-1: b9336a2fbb78482927f051f983c872135345c32c

- Related Changesets
occt: master 1ad3bc4c
Timestamp: 2018-08-31 12:14:49
Author: mnv
Committer: bugmaster
Details ] Diff ]
0030102: Visualization, TKOpenGl - Graphic3d_TOSM_FACET shading is incorrect in some casesn

gl_FrontFacing is now considered within Normal computation.
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]
add - tests/bugs/vis/bug30102 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-08-31 15:05 mnv New Issue
2018-08-31 15:05 mnv Assigned To => kgv
2018-08-31 15:05 mnv File Added: old_flat.png
2018-08-31 15:06 mnv Assigned To kgv => mnv
2018-08-31 15:06 mnv Status new => assigned
2018-08-31 15:22 git Note Added: 0078890
2018-08-31 15:26 git Note Added: 0078892
2018-08-31 15:27 mnv File Added: new_flat.png
2018-08-31 15:28 mnv Note Added: 0078893
2018-08-31 15:28 mnv Assigned To mnv => kgv
2018-08-31 15:28 mnv Status assigned => resolved
2018-09-03 10:10 kgv Summary Visualization, TKOpenGl - wrong light computing for flat shaded presentation => Visualization, TKOpenGl - Graphic3d_TOSM_FACET shading is incorrect in some cases
2018-09-03 10:14 git Note Added: 0078917
2018-09-03 10:14 kgv Note Added: 0078918
2018-09-03 10:14 kgv Assigned To kgv => bugmaster
2018-09-03 10:14 kgv Status resolved => reviewed
2018-09-03 10:14 kgv Product Version => 7.3.0
2018-09-03 10:14 kgv Relationship added child of 0028069
2018-09-03 15:07 bugmaster Test case number => bugs/vis/bug30102
2018-09-09 11:52 bugmaster Changeset attached => occt master 1ad3bc4c
2018-09-09 11:52 bugmaster Status reviewed => verified
2018-09-09 11:52 bugmaster Resolution open => fixed
2018-09-09 13:05 git Note Added: 0079047
2018-09-11 20:36 kgv Relationship added related to 0030021
2018-09-11 20:37 kgv Relationship replaced child of 0030021


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker